Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1015186 - PRD35 - [RFE] Give notification to Admin User, when RHEV Storage Domain approaches the limit of 350 LVs
Summary: PRD35 - [RFE] Give notification to Admin User, when RHEV Storage Domain appro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-10-03 15:16 UTC by Marina
Modified: 2018-12-03 20:09 UTC (History)
16 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Enhancement
Doc Text:
When a block storage domain exceeds a certain number of logical volumes defined in a configuration value, each action that results in the creation of a new logical volume on the domain will add an audit log warning that the number of logical volumes on that domain has exceeded the defined number. The number of logical volumes is defined in the configuration value 'AlertOnNumberOfLVs' and it's default value is 300.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:55:27 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: needinfo+
scohen: needinfo+
scohen: Triaged+


Attachments (Terms of Use)
Events footer (deleted)
2014-08-26 10:56 UTC, Tal Nisan
no flags Details
Events main tab (deleted)
2014-08-26 10:57 UTC, Tal Nisan
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28958 None None None Never
oVirt gerrit 28959 None None None Never
oVirt gerrit 29057 master MERGED core: Add an audit log entry when number of LVs on a domain exceeded max Never
Red Hat Knowledge Base (Solution) 441203 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
Red Hat Bugzilla 1436161 None None None Never

Internal Links: 1436161

Description Marina 2013-10-03 15:16:11 UTC
Since we have this known limitation of up to 350 LVs per VG, that significantly affects vdsm performance, as documented here: 
https://access.redhat.com/site/solutions/441203

RHEV should give the Admin User a notification that his Storage Domain is approaching the limit and he should consider adding another storage domain to his setup.

At what number of LVs should we give the notification? Maybe Storage team can help. 300?
Message should include the name of the Storage Domain, of course.

Request comes from GSS.

Comment 3 Allon Mureinik 2014-06-18 18:49:34 UTC
Let's have a warning on creating a snapshot (or doing LSM) after 300 volumes (confuigurable)

Comment 4 Aharon Canan 2014-06-23 08:56:48 UTC
(In reply to Allon Mureinik from comment #3)
> Let's have a warning on creating a snapshot (or doing LSM) after 300 volumes
> (confuigurable)

Hi

LVs are not only snapshots but also templates and disks.
in case the limit is 350 than it is for all kinds so warning only about snapshots isn't good enough

Am I wrong?

anyway it sounds like we should test only the limit - reach the limit to get the warning, doesn't matter how. we can set the limit to 5, create 5 LVs and check we get warning.

please approve.

Comment 5 Allon Mureinik 2014-06-23 09:46:06 UTC
(In reply to Aharon Canan from comment #4)
> (In reply to Allon Mureinik from comment #3)
> > Let's have a warning on creating a snapshot (or doing LSM) after 300 volumes
> > (confuigurable)
> 
> Hi
> 
> LVs are not only snapshots but also templates and disks.
Every volume is an LV - this can be the first volume in a image (i.e., when you create a disk), or any other one (when you create a snapshot).
A template itself is not an LV - its disks are.

> in case the limit is 350 than it is for all kinds so warning only about
> snapshots isn't good enough
Yup, see above.

> anyway it sounds like we should test only the limit - reach the limit to get
> the warning, doesn't matter how. we can set the limit to 5, create 5 LVs and
> check we get warning.
We should test that every flow that adds an LV has this warning.

Comment 6 Ori Gofen 2014-08-24 09:23:41 UTC
This RFE is verified on rc1,though the message appears only on engine's log:

2014-08-24 12:15:23,264 WARN  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp--127.0.0.1-8702-7) [79950f3d] Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: The number of LVs on the domain iscsi exceeded 30, you are approaching the limit where performance may degrade.

This warning could be missed quite easily,depending on the traffic of-course.

Anyway,my opinion is that UI should prompt a warning message as well.
what do you think,Allon?

Comment 7 Allon Mureinik 2014-08-24 09:31:07 UTC
It should appear in the alerts bar.
Doesn't it?

Comment 8 Ori Gofen 2014-08-24 09:51:50 UTC
nop,it doesn't. I have set AlertOnNumberOfLVs=30
I have almost 60 lv's now,the warning appears only on engine.log

Comment 9 Allon Mureinik 2014-08-24 10:56:20 UTC
Tal, can you take a look at this please?

Comment 10 Ori Gofen 2014-08-24 11:10:16 UTC
I'm moving it back to ON_QA based on Allon's comment #7,please notify me if a warning on engine.log file is satisfying for a verification of this RFE...

Comment 11 Aharon Canan 2014-08-24 16:08:27 UTC
following comment #7, reopening

Comment 12 Tal Nisan 2014-08-26 10:07:25 UTC
Ori, I've just checked and the warning does appear in the events tab, not to mention that if you saw that AuditLogDirector line in your log, it means that it persisted an event log.
Please check again, make sure you open the events tab to see all late events so a newer event won't mask out the event you are looking for

Comment 13 Allon Mureinik 2014-08-26 10:53:14 UTC
Guys, lets close this.
Tal, Ori, please add screenshots of the system [not] showing the desired event - I'm guessing the message appears in place X while Ori was looking at place Y.

Comment 14 Tal Nisan 2014-08-26 10:56:31 UTC
Created attachment 930822 [details]
Events footer

Comment 15 Tal Nisan 2014-08-26 10:57:00 UTC
Created attachment 930823 [details]
Events main tab

Comment 16 Tal Nisan 2014-08-26 10:57:26 UTC
Done, Ori please have a look

Comment 21 errata-xmlrpc 2015-02-11 17:55:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.